package com.brilliance.isc.common.transaction.txnhold.vo;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class TxnHoldVo extends AbstractCommonVo {

    /**
     * 交易实体
     */
    private BaseTransactionVo baseTransactionVo;

    @Override
    public void reset() {
        if (baseTransactionVo == null) {
            baseTransactionVo = new BaseTransactionVo();
        }
        baseTransactionVo.reset();
    }
}
